<template>
    <!-- 公共组件 -->
    <div class="info">
        <v-head :title="'Transactions'" :show_more="false" @onBack="clickBack"></v-head>
        <popup-transactions style="height: calc(100% - 48px);"></popup-transactions>
    </div>
</template>

<script setup>
import VHead from '@/components/v-head.vue';
import PopupTransactions from "@/components/popup-transactions";
import messageCenter from "@/uilts/messageCenter";
import MESSAGE_ENUM from "@/uilts/messageCenter/messageEnum";
import { ref, onMounted } from 'vue';
import { useRouter } from "vue-router";

let back_url = ref('/');
let router = useRouter();

onMounted(() => {
    let { params = '{}' } = router.currentRoute.value.query;
    let { backUrl = '/' } = JSON.parse(params);

    if (backUrl == 'back') {
        back_url.value = '';
    }
})

const clickBack = () => {
    messageCenter.send({
        actionType: MESSAGE_ENUM.IFRAME_SHOW_FOOTER_MENU,
        data: {
            showMenu: true,
        }
    })
}
</script>


<style lang='scss' scoped>
.info {
    height: 100%;
    overflow: hidden;
}
</style>
